Orxonox: OIS::JoyStickState Class Reference

# OIS::JoyStickState Class Reference

`#include <src/ois/OISJoyStick.h>`

List of all members.

## Public Member Functions

void | clear ()
| internal method to reset all variables to initial values
| JoyStickState ()
| Constructor.

## Public Attributes

std::vector< Axis > | mAxes
| Represents all the single axes on the device.
std::vector< bool > | mButtons
| Represents all the buttons (uses a bitset).
Pov | mPOV [4]
| Represents the value of a POV. Maximum of 4.
Slider | mSliders [4]
| Represent the max sliders.
std::vector< Vector3 > | mVectors
| Represents all Vector type controls the device exports.

## Detailed Description

Represents the state of the joystick All members are valid for both buffered and non buffered mode Sticks with zero values are not present on the device

## Constructor & Destructor Documentation

OIS::JoyStickState::JoyStickState | ( |  | ) | `[inline]`

Constructor.

## Member Function Documentation

void OIS::JoyStickState::clear | ( |  | ) | `[inline]`

internal method to reset all variables to initial values

References OIS::Pov::Centered.

Referenced by OIS::Win32JoyStick::_initialize(), and OIS::LinuxJoyStick::_initialize().

## Member Data Documentation

std::vector<Axis> OIS::JoyStickState::mAxes

Represents all the single axes on the device.

Referenced by OIS::Win32JoyStick::_enumerate(), OIS::LinuxJoyStick::_getJoyInfo(), OIS::Win32JoyStick::_initialize(), OIS::LinuxJoyStick::_initialize(), OIS::Win32JoyStick::capture(), OIS::LinuxJoyStick::capture(), OIS::Win32JoyStick::DIEnumDeviceObjectsCallback(), OIS::JoyStick::getNumberOfComponents(), and OIS::LinuxJoyStick::LinuxJoyStick().

std::vector<bool> OIS::JoyStickState::mButtons

Represents all the buttons (uses a bitset).

Referenced by OIS::Win32JoyStick::_doButtonClick(), OIS::Win32JoyStick::_enumerate(), OIS::LinuxJoyStick::_getJoyInfo(), OIS::LinuxJoyStick::capture(), OIS::JoyStick::getNumberOfComponents(), and OIS::LinuxJoyStick::LinuxJoyStick().

Pov OIS::JoyStickState::mPOV[4]

Represents the value of a POV. Maximum of 4.

Referenced by OIS::Win32JoyStick::_changePOV(), and OIS::LinuxJoyStick::capture().

Slider OIS::JoyStickState::mSliders[4]

Represent the max sliders.

Referenced by OIS::Win32JoyStick::capture().

std::vector<Vector3> OIS::JoyStickState::mVectors

Represents all Vector type controls the device exports.

Referenced by OIS::JoyStick::getNumberOfComponents().

The documentation for this class was generated from the following file:

- src/ois/OISJoyStick.h